/**
*.Name         rnd_set
*.Title        Инициализация генератора случайных чисел
*
*.Descr        Эта функция инициализирует канал 2 таймера
*              для использования в качестве генератора
*              случайных чисел.
*
*.Proto        void rnd_set(int bound)
*
*.Params       int bound - верхняя граница для генерируемых
*                          случайных чисел.
*
*.Return       Ничего
*
*.Sample       random.c
**/

#include <stdio.h>
#include <conio.h>

void rnd_set(int bound) {

// Устанавливаем режим 3 для второго канала таймера

	outp(0x43, 0xb6);

// Загружаем регистр счетчика таймера - сначала
// младший, затем старший байты

	outp(0x42, bound & 0x00ff);

	outp(0x42, (bound &0xff00) >> 8);

// Разрешаем работу канала

	outp(0x61, inp(0x61) | 1);
}

